'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = gulpPug;

var _through = require('through2');

var _through2 = _interopRequireDefault(_through);

var _pug = require('pug');

var _pug2 = _interopRequireDefault(_pug);

var _path = require('path');

var _gulpUtil = require('gulp-util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function gulpPug() {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  return _through2.default.obj(function stream(file, enc, callback) {
    var error = null;

    if (file.isBuffer()) {
      var contents = _pug2.default.render(file.contents.toString(), opts);
      file.contents = new Buffer(contents);
    } else {
      error = new _gulpUtil.PluginError('gulp-pug', 'Unsupported file content');
    }

    file.path = (0, _gulpUtil.replaceExtension)(file.path, '.html');

    callback(error, file);
  });
};
module.exports = exports['default'];